%define srcname PyWebDAV

Name:           python-pywebdav
Version:        0.9.4.1
Release:        %mkrel 9
Summary:        WebDAV library
Group:		Development/Python
License:        LGPLv2+
URL:            http://www.webdav.de/
Source0:        http://pywebdav.googlecode.com/files/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-setuptools

%description
WebDAV library for Python. WebDAV is an extension to the normal HTTP/1.1
protocol allowing the user to upload data, create collections of objects,
store properties for objects, etc.


%prep
%setup -q -n %{srcname}-%{version}

# remove the shebang lines
pushd DAV
for f in AuthServer.py BufferingHTTPServer.py INI_Parse.py davcopy.py davmove.py delete.py errors.py propfind.py utils.py
do
    sed -i -e '1d' $f
done
popd

chmod a-x DAVServer/server.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

rm -fr %buildroot%{_bindir}/* %buildroot%{python_sitelib}/DAVServer
 
%files
%doc doc/*
%doc DAVServer
%{python_sitelib}/DAV
%{python_sitelib}/%{srcname}*


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 0.9.4.1-9.mga6
+ Revision: 935211
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4.1-8.mga5
+ Revision: 746751
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.4.1-7.mga5
+ Revision: 729609
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4.1-6.mga5
+ Revision: 688291
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.4.1-4.mga4
+ Revision: 544222
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.4.1-3.mga4
+ Revision: 499278
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.4.1-2.mga3
+ Revision: 379421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 17 2011 fwang <fwang> 0.9.4.1-1.mga2
+ Revision: 125375
- imported package python-pywebdav

